<template>
  <form v-on:submit.prevent="handleSubmit(symbol, interval)">
    <p>
      <label for="searchInput">Search by Stock Symbol (e.g. MSFT): </label>
      <input v-model="symbol" name="symbolInput"/>
    </p>
    <p>
      <label for="interval">Data aggregated every: </label>
      <select v-model="interval">
        <option disabled value="">Please select one</option>
        <option value="5min">5 Minutes</option>
        <option value="30min">30 Minutes</option>
        <option value="60min">60 Minutes</option>
      </select>
    </p>
    <p>
      <button type="submit">Search</button>
    </p>
  </form>
</template>

<script>
export default {
  props: {
    handleSubmit: Function
  },
  data: function() {
    return {
      symbol: "MSFT",
      interval: "5min"
    };
  }
};
</script>
